<?php
/**
 * @category   Location
 * @package    Location_DeliveryArea
 * @author     shashank.bluethink@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Location\DeliveryArea\Block;

use Magento\Framework\View\Element\Template\Context;
use Location\DeliveryArea\Model\DeliveryAreaFactory;
/**
 * DeliveryArea List block
 */
class DeliveryAreaListData extends \Magento\Framework\View\Element\Template
{
    /**
     * @var DeliveryArea
     */
    protected $_deliveryarea;
    public function __construct(
        Context $context,
        DeliveryAreaFactory $deliveryarea
    ) {
        $this->_deliveryarea = $deliveryarea;
        parent::__construct($context);
    }

    public function _prepareLayout()
    {
        $this->pageConfig->getTitle()->set(__('Location DeliveryArea Module List Page'));
        
        if ($this->getDeliveryAreaCollection()) {
            $pager = $this->getLayout()->createBlock(
                'Magento\Theme\Block\Html\Pager',
                'location.deliveryarea.pager'
            )->setAvailableLimit(array(5=>5,10=>10,15=>15))->setShowPerPage(true)->setCollection(
                $this->getDeliveryAreaCollection()
            );
            $this->setChild('pager', $pager);
            $this->getDeliveryAreaCollection()->load();
        }
        return parent::_prepareLayout();
    }

    public function getDeliveryAreaCollection()
    {
        $page = ($this->getRequest()->getParam('p'))? $this->getRequest()->getParam('p') : 1;
        $pageSize = ($this->getRequest()->getParam('limit'))? $this->getRequest()->getParam('limit') : 5;

        $deliveryarea = $this->_deliveryarea->create();
        $collection = $deliveryarea->getCollection();
        $collection->addFieldToFilter('status','1');
        //$deliveryarea->setOrder('deliveryarea_id','ASC');
        $collection->setPageSize($pageSize);
        $collection->setCurPage($page);

        return $collection;
    }

    public function getPagerHtml()
    {
        return $this->getChildHtml('pager');
    }
}